gupnp_service_proxy_add_notify
gupnp_service_proxy_get_subscribed
Gupnp Functions
PHP Manual

# gupnp_service_proxy_callback_set

(PECL gupnp >= 0.1.0)

gupnp_service_proxy_callback_set — Set service proxy callback for signal

### Description

bool gupnp_service_proxy_callback_set ( resource `$proxy` , int `$signal` , mixed `$callback` [, mixed `$arg` ] )

Set service proxy callback for signal.

### Parameters

`proxy`

  A service proxy identifier.

`signal`

  The value of signal.

  `GUPNP_SIGNAL_SUBSCRIPTION_LOST`
    Emitted whenever the subscription to this service has been lost due to an error condition.
`callback`

  The callback function for the certain signal. Typically, callback function takes on two parameters. `error` parameter's message being the first, and the `arg` is second.

`arg`

  User data for `callback`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Issues E_WARNING either with not valid callback function or with not valid signal.

gupnp_service_proxy_add_notify
gupnp_service_proxy_get_subscribed
Gupnp Functions
PHP Manual